lbreakout2 (2.6.5-3) unstable; urgency=medium

  * Update Uploaders list, add myself (Closes: #990597)
  * Switch to debhelper compat level 13

  [ Debian Janitor ]
  * Remove MIA uploaders
  * Trim trailing whitespace.
  * d/rules: Rely on pre-initialized dpkg-architecture variables.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 06 Dec 2023 16:17:52 +0100

lbreakout2 (2.6.5-2) unstable; urgency=medium

  * Team upload.
  * Move package into team maintenance of Debian Games team
  * Prevent random pauses ingame without external actions (thanks for the
    patch to bitfreak25 <bitfreak25@gmx.de>
    Closes: #916606
  * Standards-Version: 4.3.0
  * Drop unneeded versioned Build-Depends: dpkg-dev

 -- Andreas Tille <tille@debian.org>  Thu, 21 Feb 2019 13:04:56 +0100

lbreakout2 (2.6.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #810922)
  * Update Standards-Version to 3.9.7 (No changes required)

 -- Colin Tuckley <colint@debian.org>  Sun, 27 Mar 2016 13:17:10 +0100

lbreakout2 (2.6.4-3) unstable; urgency=medium

  * Fix Mayhem Crash Bug (Closes: #716544)

 -- Colin Tuckley <colint@debian.org>  Fri, 31 Jan 2014 19:20:25 +0000

lbreakout2 (2.6.4-2) unstable; urgency=low

  * Update Standards-Version to 3.9.5 (No changes required)
  * Build depend on libpng-dev instead of libpng3-dev (Closes: #731727)

 -- Colin Tuckley <colint@debian.org>  Tue, 10 Dec 2013 20:04:50 +0000

lbreakout2 (2.6.4-1) unstable; urgency=low

  * New upstream release.
  * Upstream fix: Crash with long environment variable (Closes: #608980)
  * Update Standards-Version to 3.9.4 (No changes required)
  * Add dpkg-buildflags in debian/rules for hardening.

 -- Colin Tuckley <colint@debian.org>  Mon, 06 May 2013 19:26:39 +0100

lbreakout2 (2.6.3-1) unstable; urgency=low

  * New upstream release (Closes: #653902).
    incl upstream fix for warp limit (Closes: #307126)
  * Ack NMU
  * Fix desktop file (Closes: #638992)

 -- Colin Tuckley <colint@debian.org>  Sun, 10 Jun 2012 17:22:10 +0100

lbreakout2 (2.6.1-1.2) unstable; urgency=low

  * Non-maintainer upload; ACKed by the maintainer, see #670853.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #670853).
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Patch 05 is new; in-line changes to original files.
  * Fix description-synopsis-starts-with-article (Lintian).
  * Fix maintainer-script-without-set-e (Lintian).

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 30 Apr 2012 08:04:43 +0300

lbreakout2 (2.6.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: server.c:1093:16: error: 'LC_ALL' undeclared (first use
    in this function)": add patch 50-locale.h.dpatch: include locale.h in
    common/gettext.h.
  * Adjust targets in debian/rules.
    Closes: #643471

 -- gregor herrmann <gregoa@debian.org>  Thu, 29 Dec 2011 17:50:55 +0100

lbreakout2 (2.6.1-1) unstable; urgency=low

  * New upstream release (Closes: #342869).
  * Remove circular dependency (Closes: #561372).
  * Replace the -Wall CFLAGS option removed by upstream.
  * Add a man page for lbreakout2server.

 -- Colin Tuckley <colint@debian.org>  Sun, 03 Jan 2010 15:34:24 +0000

lbreakout2 (2.6-2) unstable; urgency=low

  * Fix various problems with duplicated and mis-placed files
    caused by the upstream build system (Closes: #561020).

 -- Colin Tuckley <colint@debian.org>  Mon, 14 Dec 2009 20:49:28 +0000

lbreakout2 (2.6-1) unstable; urgency=low

  * New upstream release (Closes: #222057).
  * Use dpatch system
  * Fix "ball turbo keyboard pref doesn't persist" bug
    patch from Travis Crump (Closes: #271614).

 -- Colin Tuckley <colint@debian.org>  Sat, 12 Dec 2009 15:29:58 +0000

lbreakout2 (2.5.2-3) unstable; urgency=low

  * New Maintainer.
  * Bump standards version to 3.8.3 (various minor changes).
  * Added Homepage field to debian/control.
  * Bump debhelper compat version to 5 (no changes required).
    remove DH_COMPAT= from debian/rules and add a debian/compat file.
  * Replace invalid Menu section "Arcade" with "Blocks".
  * Fix several minor Lintian errors.
  * Remove conflicts for suidmanager which was removed from Debian in 2001.
  * Remove obsolete replaces from debian/control.
  * Fix lintian problem with obsolete config.guess/sub
    this also fixes FTBFS on AVR32 (Closes: #550112).
  * Update debian/watch to v3 (Closes: #529121).
  * Fix not binNMU safe problem (Closes: #435944).
  * Add a desktop file (Closes: #330119)
    patches from Reinhard Tartler & Daniel Dickinson.

 -- Colin Tuckley <colint@debian.org>  Tue, 10 Nov 2009 21:02:13 +0000

lbreakout2 (2.5.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adjust Build-Depends for xlibs transition (Closes: #347136).

 -- Christoph Berg <myon@debian.org>  Fri, 20 Jan 2006 19:48:04 +0100

lbreakout2 (2.5.2-2) unstable; urgency=high

  * Apply backported security fixes for bad usage of s*printf/scanf.
    Thanks to Moritz Muehlenhoff for spotting the problem in the upstream
    changelog and for sifting through the diff to find the relevant fixes.  (Closes: #310468)

 -- Daniel Burrows <dburrows@debian.org>  Tue, 24 May 2005 18:52:21 -0700

lbreakout2 (2.5.2-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Fri, 14 Jan 2005 15:35:31 -0800

lbreakout2 (2.5.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Tue, 28 Sep 2004 20:54:18 -0400

lbreakout2 (2.5-1) unstable; urgency=low

  * New upstream release (Closes: #262294 "New upstream release available").

  * Add a menu icon.

 -- Daniel Burrows <dburrows@debian.org>  Sun,  8 Aug 2004 13:24:55 -0400

lbreakout2 (2.4.1-3) unstable; urgency=low

  * Actually remove the data files from the architecture-dependant
    package. (doh)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 21 Feb 2004 22:32:24 -0500

lbreakout2 (2.4.1-2) unstable; urgency=low

  * Remove references to lbreakout. (Closes: #171598)

  * Split data files out into lbreakout2-data. (Closes: #233388)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 21 Feb 2004 22:00:51 -0500

lbreakout2 (2.4.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Sun, 27 Apr 2003 13:04:30 -0400

lbreakout2 (2.4-1) unstable; urgency=low

  * New upstream release, finally not beta (Closes: #168830)

  * Updated config.guess and config.sub (Closes: #172495)

  * Make lintian shut up about debian/copyright already. (Author(s) was
  wrong anyway, so..)

  * Make lintian shut up about Standards-Version (3.1.1 -> 3.5.8.0, I don't
  think anything significant to me has changed in the interim, etc)

 -- Daniel Burrows <dburrows@debian.org>  Mon, 16 Dec 2002 16:53:41 -0500

lbreakout2 (2.3.5-2) unstable; urgency=low

  * Apply patch from Steve Kemp <skx@tardis.ed.ac.uk> to fix insecure
    handling of HOME environment variable.  (Closes: #169612)

 -- Daniel Burrows <dburrows@debian.org>  Wed, 20 Nov 2002 14:30:55 -0500

lbreakout2 (2.3.5-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Sat, 21 Sep 2002 14:36:14 -0400

lbreakout2 (2.3.4-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Thu, 12 Sep 2002 11:02:40 -0400

lbreakout2 (2.3.3-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Tue, 10 Sep 2002 10:34:50 -0400

lbreakout2 (2.3.2-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Sun, 18 Aug 2002 00:28:17 -0400

lbreakout2 (2.3.1-2) unstable; urgency=low

  * Fix upstream bug: MP_Arenas and MP_Snapshots weren't being installed
  correctly (the AddOn levels were being installed instead)

 -- Daniel Burrows <dburrows@debian.org>  Wed, 14 Aug 2002 15:54:54 -0400

lbreakout2 (2.3.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Wed, 14 Aug 2002 09:59:07 -0400

lbreakout2 (2.3-1) unstable; urgency=low

  * New upstream release
    - This version now has network multiplayer support!
    - Joystick support was broken by this change and is removed until
    I figure out how to re-add it.
  * Build-depend on libpng3-dev instead of libpng2-dev

 -- Daniel Burrows <dburrows@debian.org>  Tue, 13 Aug 2002 16:25:53 -0400

lbreakout2 (2.2.2-2) unstable; urgency=low

  * Added joystick support.

 -- Daniel Burrows <dburrows@debian.org>  Fri, 14 Jun 2002 12:42:26 -0400

lbreakout2 (2.2.2-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Sun, 24 Feb 2002 11:26:56 -0500

lbreakout2 (2.2.1-1) unstable; urgency=low

  * New upstream release
    - Hack to prevent endless loops.  (Closes: #132008)

 -- Daniel Burrows <dburrows@debian.org>  Mon,  4 Feb 2002 14:08:55 -0500

lbreakout2 (2.2-1) unstable; urgency=low

  * New upstream release
  * Better description (Closes: #129143)

 -- Daniel Burrows <dburrows@debian.org>  Fri, 25 Jan 2002 14:12:52 -0500

lbreakout2 (2.1.2-2) unstable; urgency=low

  * Recompile to fix linkage problems.  (Closes: #129318)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 19 Jan 2002 13:01:30 -0500

lbreakout2 (2.1.2-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Fri, 11 Jan 2002 17:39:54 -0500

lbreakout2 (2.1.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Wed, 26 Dec 2001 11:56:56 -0500

lbreakout2 (2.1-1) unstable; urgency=low

  * New upstream release
    - Strange behavior with ball getting trapped at the bottom of the
    screen fixed.  (Closes: #125725)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 22 Dec 2001 08:18:16 -0500

lbreakout2 (2.0.1-2) unstable; urgency=low

  * Added a debian/watch file.

 -- Daniel Burrows <dburrows@debian.org>  Sat,  8 Dec 2001 13:24:48 -0500

lbreakout2 (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Sat,  8 Dec 2001 13:07:52 -0500

lbreakout2 (2.0-1) unstable; urgency=low

  * New upstream release.  This is a real 2.0 release.  No more nasty
  version numbers and source packages, yay :-)

 -- Daniel Burrows <dburrows@debian.org>  Sun,  2 Dec 2001 22:33:55 -0500

lbreakout2 (2.0-0pre2) unstable; urgency=low

  * New upstream release (same deal)
    - Score modifiers are fixed.  (Closes: #120378)
    - #121187 may or may not be fixed.  I don't know for sure.
      Leaving it open for the time being.
  * No longer install manpage in /usr/share/doc (Doh, Closes: #117567)

 -- Daniel Burrows <dburrows@debian.org>  Tue, 27 Nov 2001 22:55:42 -0500

lbreakout2 (2.0-0pre1) unstable; urgency=low

  * New upstream release.  (still nasty source.  Author is working on it..)

 -- Daniel Burrows <dburrows@debian.org>  Wed, 21 Nov 2001 13:05:25 -0500

lbreakout2 (2.0-0beta1) unstable; urgency=low

  * New upstream release.  (still has the nasty native-source issue)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 17 Nov 2001 00:06:52 -0500

lbreakout2 (2.0-0alpha2) unstable; urgency=low

  * Added build-depends for libpng2-dev and libsdl-mixer1.2. (Closes: #117401)
  * Fixed the broken version number in the last upload before it got
  into incoming..this makes the package falsely native again, but this will
  be resolved when the upstream author releases a real version 2.0.  (which
  I hope will be RSN)

 -- Daniel Burrows <dburrows@debian.org>  Sun, 28 Oct 2001 13:14:02 -0500

lbreakout2 (2.0alpha2-1alpha) unstable; urgency=low

  * New upstream version.  (the previous version was uploaded as native..oops)
    - Works in color depths other than 16.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 28 Oct 2001 11:26:53 -0500

lbreakout2 (2.0-0alpha) unstable; urgency=low

  * New upstream version.  Packaging mostly redone, and binary and source
  packages renamed.  (Closes: #116363)

 -- Daniel Burrows <dburrows@debian.org>  Thu, 25 Oct 2001 22:46:32 -0400

lbreakout (010315-3) unstable; urgency=low

  * Build against SDL 1.2.

 -- Daniel Burrows <dburrows@debian.org>  Mon, 30 Apr 2001 15:10:21 -0400

lbreakout (010315-2) unstable; urgency=low

  * Work around the fact that libsdl1.1-dev doesn't depend on xlibs-dev.
  (so we have to build-depend on it ourselves)
    Does not close the bug filed because I believe it to actually be a bug
  in libsdl1.1-dev.

 -- Daniel Burrows <dburrows@debian.org>  Thu, 22 Mar 2001 16:24:38 -0500

lbreakout (010315-1) unstable; urgency=low

  * New upstream version.  (may fix 77878, I need to check)

 -- Daniel Burrows <dburrows@debian.org>  Tue, 20 Mar 2001 16:57:36 -0500

lbreakout (001104-4) unstable; urgency=low

  * Convert to using statoverride instead of dh_suidregister.
  * Change maintainer address to be @debian.org
  * Remove an extraneous template file that accidentally got left in debian/

 -- Daniel Burrows <dburrows@debian.org>  Sat, 10 Feb 2001 17:07:19 -0500

lbreakout (001104-3) unstable; urgency=low

  * Don't even bother trying to save high-score files from before I fixed
  lbreakout to avoid clobbering them, or I'll be squashing bugs from now
  till the presidential election is decided..  (I thought I tested the case
  that broke before releasing -2, but I guess not.. :( )
    closes: #77066

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Tue, 14 Nov 2000 20:18:38 -0500

lbreakout (001104-2) unstable; urgency=low

  * Don't clobber the highscore file on each upgrade.
   (closes: #76406, #76701)

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Fri, 10 Nov 2000 21:16:23 -0500

lbreakout (001104-1) unstable; urgency=low

  * New upstream version.

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Sat,  4 Nov 2000 10:02:12 -0500

lbreakout (001022-1) unstable; urgency=low

  * New upstream version.

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Thu,  2 Nov 2000 07:39:02 -0500

lbreakout (001014-4) unstable; urgency=low

  * Oops.  High-scores actually go in /var/games.  (closes: #75873)

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Sun, 29 Oct 2000 18:13:28 -0500

lbreakout (001014-3) unstable; urgency=low

  * Rebuild against old X libraries before Branden comes after me with a stick.
  (closes: #74907, #74923, #74934)
  * Add automake and autoconf to the build-depends (are they really necessary?)

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Tue, 17 Oct 2000 08:25:12 -0400

lbreakout (001014-2) unstable; urgency=low

  * Oops.  Menufile was bad.  Mea culpa.
  * Mention fullscreen and warped-mouse play in README.Debian.

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Sun, 15 Oct 2000 13:36:03 -0400

lbreakout (001014-1) unstable; urgency=low

  * Initial Release.  (closes: #74800)

 -- Daniel Burrows <Daniel_Burrows@brown.edu>  Sun, 15 Oct 2000 09:04:54 -0400
